#include <stdio.h>
#include <stdio.h>

#define ZERO (0)  // Codifiche delle condizioni
#define PIU  (1)
#define ZP   (2)
#define PZ   (3)

char oqa[32];  // array che contiene la parte grafica superiore della condizione di stato
char oqb[32];  // array che contiene la parte grafica inferiore della condizione di stato

void BitOnda(int i, int come);  // compone gli array di stato

int main()
{
    int i,j;

    i = 0;
    BitOnda(i++,PIU);  // 0 idle+
    BitOnda(i++,PZ);   // 1 start
    BitOnda(i++,ZP);   // 0
    BitOnda(i++,PZ);   // 1
    BitOnda(i++,ZP);   // 0
    BitOnda(i++,PIU);  // 0
    BitOnda(i++,PIU);  // 0
    BitOnda(i++,PIU);  // 0
    BitOnda(i++,PIU);  // 0
    BitOnda(i++,PZ);   // 1
    BitOnda(i++,ZP);   // 0 stop
    BitOnda(i,PIU);    // idle+

    printf("Segnale di (1010000010)b per Rs232 9600,n,8,1\n");

    for (j=0;j<i;j++)
    {
      printf("%c",oqa[j]);
    }
    printf("\n");

    for (j=0;j<i;j++)
    {
      printf("%c",oqb[j]);
    }

    return 0;
}

void BitOnda(int i, int come)
{
  switch (come)
  {
    case ZERO:
      oqa[i] = ' ';
      oqb[i] = 196;
    break;

    case PIU:
      oqa[i] = 196;
      oqb[i] = ' ';
    break;

    case ZP:
      oqa[i] = 218;
      oqb[i] = 217;
    break;

    case PZ:
      oqa[i] = 191;
      oqb[i] = 192;
    break;
  }

}

